Subject: bug#24087: recovery from suspend is broken with recent libreboot + linux-libre 4.7

From: Clément Lassieur <[email-masked]>
Date: Sat, 27 May 2017 21:30:35 +0200

Christopher Allan Webber <[email-masked]> writes:

> Clément Lassieur writes:
>
>> Clément Lassieur <[email-masked]> writes:
>>
>>>> I just flashed the latest stable of libreboot and for t400 it is fixed,
>>>> I can recover from suspend. Thanks to the amazing work of Leah and all
>>>> other libreboot contributors :)
>>>
>>> I still reproduce the bug with latest stable and x200.
>>
>> This is probably a libreboot bug, because it is reproducible with
>> Debian.  Closing it.
>
> Libreboot is probably involved, but it's a combination of libreboot +
> linux-libre upgrades fwiw.
>
> I'm running an X200 with an older version of Libreboot.  I just verified
> that Linux 4.10.X still suspends fine, but 4.11 fails to suspend.

I've reproduced the bug with Debian testing (linux-nonfree 4.9 +
libreboot stable).

> Anyway, not saying it shouldn't be closed, but maybe useful information
> for people to have.

Thank you, it is interesting indeed!

While chatting on #libreboot the other day, and I've been told that this
might have been fixed upstream (coreboot), but that the fix introduces
random "forced suspends" every week or so.  I'm going to try, as I
prefer my computer to shut down every week than not being able to
suspend to ram.